Gem::Specification.new do |s|
  s.name = 'logstash-output-charrington'
  s.version = '0.3.22'

  s.licenses = ['Apache-2.0']
  s.homepage = 'https://gitlab.podium.com/engineering/analytics/logstash-output-charrington'
  s.summary = 'This plugin allows you to output to SQL, via JDBC'
  s.description = "This gem is a logstash plugin required to be installed on top of the Logstash core pipeline using $LS_HOME/bin/logstash-plugin install 'logstash-output-charrington'. This gem is not a stand-alone program"
  s.authors = ['dconger', 'brianbroderick', 'spencerdcarlson']
  s.require_paths = ['lib']

  # Files
  s.files = Dir['lib/**/*','spec/**/*','vendor/**/*','*.gemspec','*.md','Gemfile','LICENSE.txt']
  # Tests
  s.test_files = s.files.grep(%r{^(test|spec|features)/})

  # Special flag to let us know this is actually a logstash plugin
  s.metadata = { 'logstash_plugin' => 'true', 'logstash_group' => 'output' }

  # Gem dependencies
  s.add_runtime_dependency 'logstash-core-plugin-api', ">= 1.60", "<= 2.99"
  s.add_runtime_dependency 'logstash-codec-plain', '~> 3.0', '>= 3.0.6'

  # The 'install_jars' rake task will download these jars from Maven and put them into the vendor directory
  # See jar-dependencies gem's wiki - https://github.com/mkristian/jar-dependencies/wiki/declare-jars-inside-gemspec
  s.requirements << "jar 'com.zaxxer:HikariCP', '2.7.2'"
  s.requirements << "jar 'org.apache.logging.log4j:log4j-slf4j-impl', '2.6.2'"

  s.add_development_dependency 'logstash-devutils', '~> 1.3', '>= 1.3.1'
  s.add_development_dependency 'jar-dependencies', '~> 0.4.0'
  s.add_development_dependency 'ruby-maven', '~> 3.3'
  s.add_development_dependency 'rubocop', '0.41.2'
  s.add_development_dependency 'logstash-input-generator', '~> 3.0', '>= 3.0.6'
  s.add_development_dependency 'logstash-codec-json', '~> 3.0', '>= 3.0.5'
  s.add_development_dependency 'insist','~> 1.0'
end
